#include <stdio.h>
#include <stdlib.h>
int main()
{
    int x,y;
    scanf("%d",&x);
    scanf("%d",&y);
    int vece,manje;
    if(x>y){
        vece=x;
        manje=y;
    }
    else{
        vece=y;
        manje=x;
    }
    int n=0,a[n],br=0;
    while(vece>0){
        n++;
        a[br]=vece%10;
        br++;
        vece=vece/10;
    }
    for(int i=0;i<n;i++){
        if(a[i]!=manje%10){
            if(a[i]>=manje%10){
            }
            else if(a[i]<manje%10){
                a[i]=manje%10;
            }
        }
        else{
            a[i]=(a[i]*10)+a[i];
        }
        manje=manje/10;
    }
    for(int i=n-1;i>=0;i--){
        printf("%i",a[i]);
    }

    return 0;
}